Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class DomainMetadataResult

    java.lang.Object
      com.amazonaws.services.simpledb.model.DomainMetadataResult

    public class DomainMetadataResult

extends Object

Domain Metadata Result

Constructor Summary
`DomainMetadataResult()`

Method Summary
`Integer` | `getAttributeNameCount()` The number of unique attribute names in the domain.
`Long` | `getAttributeNamesSizeBytes()` The total size of all unique attribute names in the domain, in bytes.
`Integer` | `getAttributeValueCount()` The number of all attribute name/value pairs in the domain.
`Long` | `getAttributeValuesSizeBytes()` The total size of all attribute values in the domain, in bytes.
`Integer` | `getItemCount()` The number of all items in the domain.
`Long` | `getItemNamesSizeBytes()` The total size of all item names in the domain, in bytes.
`Integer` | `getTimestamp()` The data and time when metadata was calculated in Epoch (UNIX) time.
`void` | `setAttributeNameCount(Integer attributeNameCount)` The number of unique attribute names in the domain.
`void` | `setAttributeNamesSizeBytes(Long attributeNamesSizeBytes)` The total size of all unique attribute names in the domain, in bytes.
`void` | `setAttributeValueCount(Integer attributeValueCount)` The number of all attribute name/value pairs in the domain.
`void` | `setAttributeValuesSizeBytes(Long attributeValuesSizeBytes)` The total size of all attribute values in the domain, in bytes.
`void` | `setItemCount(Integer itemCount)` The number of all items in the domain.
`void` | `setItemNamesSizeBytes(Long itemNamesSizeBytes)` The total size of all item names in the domain, in bytes.
`void` | `setTimestamp(Integer timestamp)` The data and time when metadata was calculated in Epoch (UNIX) time.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DomainMetadataResult` | `withAttributeNameCount(Integer attributeNameCount)` The number of unique attribute names in the domain.
`DomainMetadataResult` | `withAttributeNamesSizeBytes(Long attributeNamesSizeBytes)` The total size of all unique attribute names in the domain, in bytes.
`DomainMetadataResult` | `withAttributeValueCount(Integer attributeValueCount)` The number of all attribute name/value pairs in the domain.
`DomainMetadataResult` | `withAttributeValuesSizeBytes(Long attributeValuesSizeBytes)` The total size of all attribute values in the domain, in bytes.
`DomainMetadataResult` | `withItemCount(Integer itemCount)` The number of all items in the domain.
`DomainMetadataResult` | `withItemNamesSizeBytes(Long itemNamesSizeBytes)` The total size of all item names in the domain, in bytes.
`DomainMetadataResult` | `withTimestamp(Integer timestamp)` The data and time when metadata was calculated in Epoch (UNIX) time.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomainMetadataResult

    public DomainMetadataResult()

Method Detail

### getItemCount

    public Integer getItemCount()

  The number of all items in the domain.

  Returns:
    The number of all items in the domain.

### setItemCount

    public void setItemCount(Integer itemCount)

  The number of all items in the domain.

  Parameters:
    `itemCount` - The number of all items in the domain.

### withItemCount

    public DomainMetadataResult withItemCount(Integer itemCount)

  The number of all items in the domain.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `itemCount` - The number of all items in the domain.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getItemNamesSizeBytes

    public Long getItemNamesSizeBytes()

  The total size of all item names in the domain, in bytes.

  Returns:
    The total size of all item names in the domain, in bytes.

### setItemNamesSizeBytes

    public void setItemNamesSizeBytes(Long itemNamesSizeBytes)

  The total size of all item names in the domain, in bytes.

  Parameters:
    `itemNamesSizeBytes` - The total size of all item names in the domain, in bytes.

### withItemNamesSizeBytes

    public DomainMetadataResult withItemNamesSizeBytes(Long itemNamesSizeBytes)

  The total size of all item names in the domain, in bytes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `itemNamesSizeBytes` - The total size of all item names in the domain, in bytes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributeNameCount

    public Integer getAttributeNameCount()

  The number of unique attribute names in the domain.

  Returns:
    The number of unique attribute names in the domain.

### setAttributeNameCount

    public void setAttributeNameCount(Integer attributeNameCount)

  The number of unique attribute names in the domain.

  Parameters:
    `attributeNameCount` - The number of unique attribute names in the domain.

### withAttributeNameCount

    public DomainMetadataResult withAttributeNameCount(Integer attributeNameCount)

  The number of unique attribute names in the domain.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributeNameCount` - The number of unique attribute names in the domain.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributeNamesSizeBytes

    public Long getAttributeNamesSizeBytes()

  The total size of all unique attribute names in the domain, in bytes.

  Returns:
    The total size of all unique attribute names in the domain, in bytes.

### setAttributeNamesSizeBytes

    public void setAttributeNamesSizeBytes(Long attributeNamesSizeBytes)

  The total size of all unique attribute names in the domain, in bytes.

  Parameters:
    `attributeNamesSizeBytes` - The total size of all unique attribute names in the domain, in bytes.

### withAttributeNamesSizeBytes

    public DomainMetadataResult withAttributeNamesSizeBytes(Long attributeNamesSizeBytes)

  The total size of all unique attribute names in the domain, in bytes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributeNamesSizeBytes` - The total size of all unique attribute names in the domain, in bytes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributeValueCount

    public Integer getAttributeValueCount()

  The number of all attribute name/value pairs in the domain.

  Returns:
    The number of all attribute name/value pairs in the domain.

### setAttributeValueCount

    public void setAttributeValueCount(Integer attributeValueCount)

  The number of all attribute name/value pairs in the domain.

  Parameters:
    `attributeValueCount` - The number of all attribute name/value pairs in the domain.

### withAttributeValueCount

    public DomainMetadataResult withAttributeValueCount(Integer attributeValueCount)

  The number of all attribute name/value pairs in the domain.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributeValueCount` - The number of all attribute name/value pairs in the domain.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributeValuesSizeBytes

    public Long getAttributeValuesSizeBytes()

  The total size of all attribute values in the domain, in bytes.

  Returns:
    The total size of all attribute values in the domain, in bytes.

### setAttributeValuesSizeBytes

    public void setAttributeValuesSizeBytes(Long attributeValuesSizeBytes)

  The total size of all attribute values in the domain, in bytes.

  Parameters:
    `attributeValuesSizeBytes` - The total size of all attribute values in the domain, in bytes.

### withAttributeValuesSizeBytes

    public DomainMetadataResult withAttributeValuesSizeBytes(Long attributeValuesSizeBytes)

  The total size of all attribute values in the domain, in bytes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributeValuesSizeBytes` - The total size of all attribute values in the domain, in bytes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getTimestamp

    public Integer getTimestamp()

  The data and time when metadata was calculated in Epoch (UNIX) time.

  Returns:
    The data and time when metadata was calculated in Epoch (UNIX) time.

### setTimestamp

    public void setTimestamp(Integer timestamp)

  The data and time when metadata was calculated in Epoch (UNIX) time.

  Parameters:
    `timestamp` - The data and time when metadata was calculated in Epoch (UNIX) time.

### withTimestamp

    public DomainMetadataResult withTimestamp(Integer timestamp)

  The data and time when metadata was calculated in Epoch (UNIX) time.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `timestamp` - The data and time when metadata was calculated in Epoch (UNIX) time.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.